Package org.apache.sling.providertype.bndplugin

## Class ProviderTypeScanner

- java.lang.Object
- - org.apache.sling.providertype.bndplugin.ProviderTypeScanner

All Implemented Interfaces:
  `aQute.bnd.service.AnalyzerPlugin`, `aQute.bnd.service.Plugin`

    public class ProviderTypeScanner
    extends Object
    implements aQute.bnd.service.AnalyzerPlugin, aQute.bnd.service.Plugin

Enforces that no classes implement or extend a type marked as provider. Provider types are retrieved from the resource "META-INF/api-info.json" which is expected to be provided in the class path.

### Constructor Summary

Constructors
`ProviderTypeScanner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `analyzeJar​(aQute.bnd.osgi.Analyzer analyzer)`
`void` `setProperties​(Map<String,​String> map)`
`void` `setReporter​(aQute.service.reporter.Reporter processor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderTypeScanner

    public ProviderTypeScanner()

### Method Detail

#### setProperties

    public void setProperties​(Map<String,​String> map)
                       throws Exception

Specified by:
  `setProperties` in interface `aQute.bnd.service.Plugin`
Throws:
  `Exception`

#### setReporter

    public void setReporter​(aQute.service.reporter.Reporter processor)

Specified by:
  `setReporter` in interface `aQute.bnd.service.Plugin`

#### analyzeJar

    public boolean analyzeJar​(aQute.bnd.osgi.Analyzer analyzer)
                       throws Exception

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`